/***********************************************/
/*                                             */
/*       COPIE D'UNE IMAGE SUR L'ECRAN         */
/*                                             */
/***********************************************/
/*  Programme MOVEIMAG.C                       */
/***********************************************/
/*  Auteur: Patrick Leclercq                   */
/***********************************************/
#include <stdio.h>
#include <conio.h>
#include <graphvga.h>


/*******************************/
/* REMPLISSAGE DE L'ECRAN      */
/* AVEC DES BARRES DE COULEURS */
/*******************************/
void remplissage_ecran(void)
{
  int px;
  int py;
  int couleur;

  px=0;										/* POSITION X PREMIERE LIGNE */
  py=0;										/* POSITION Y PREMIERE LIGNE */
  for (couleur=0; couleur<200; couleur++)	/* BOUCLE D'AFFICHAGE DES LIGNES */
  {
	 h_line (px, py, 320, couleur);			/* TRACE D'UNE LIGNE DE COULEUR */
	 py++;									/* CALCUL POSITION LIGNE SUIVANTE */
  }
}


/***************************/
/* DEMONSTRATION GRAPHIQUE */
/***************************/
void demo_move_image(void)
{
  remplissage_ecran();
  getch();
  /* COPIE DE L'IMAGE DE POSITION 10, 10 */
  /* ET DE TAILLE 100, 70                */
  /* A LA POSITION 150, 50               */
  copie_image(10, 10, 100, 70, 150, 50);
}


/***********************/
/* FONCTION PRINCIPALE */
/***********************/
void main(void)
{
  init_vga();				/* INITIALISATION MODE GRAPHIQUE */
  demo_move_image();		/* DEMONSTRATION DE copie_image() */
  getch();					/* ATTENTE CLAVIER */
  fermeture_vga();		/* FIN DU MODE GRAPHIQUE */
}
