/***********************************************/
/*                                             */
/*     AFFICHAGE D'UN RECTANGLE DE COULEUR     */
/*                                             */
/***********************************************/
/*  Programme RECTANGL.C                       */
/***********************************************/
/*  Auteur: Patrick Leclercq                   */
/***********************************************/

#include <stdio.h>
#include <conio.h>
#include <graphvga.h>


/******************************************/
/* AFFICHAGE DE 28 RECTANGLES DE COULEURS */
/******************************************/
void demo_rectangle(void)
{
  int px;
  int py;
  int couleur;

  px=3;										/* PX PREMIER RECTANGLE */
  py=10;									/* PY PREMIER RECTANGLE */

  cls_ecran(100);							/* REMPLISSAGE ECRAN AVEC COULEUR 100 */

  for (couleur=1; couleur<29; couleur++)	/* BOUCLE D'AFFICHAGE */
  {
	 rectangle(px, py, 40, 40, couleur);	/* DESSIN RECTANGLE */
	 px+=10;								/* CALCUL PX SUIVANT */
	 py+=5;									/* CALCUL PY SUIVANT */
  }
}


/***********************/
/* FONCTION PRINCIPALE */
/***********************/
void main(void)
{
  init_vga();				/* INITIALISATION MODE GRAPHIQUE */
  demo_rectangle();
  getch();					/* ATTENTE CLAVIER */
  fermeture_vga();			/* FIN DU MODE GRAPHIQUE */
}
