/***********************************************/
/*                                             */
/*       AFFICHAGE DE LIGNES VERTICALES        */
/*                                             */
/***********************************************/
/*  Programme VLIGNE.C                         */
/***********************************************/
/*  Auteur: Patrick Leclercq                   */
/***********************************************/

#include <stdio.h>
#include <conio.h>
#include <graphvga.h>


/*******************************/
/* REMPLISSAGE DE L'ECRAN      */
/* AVEC DES BARRES DE COULEURS */
/*******************************/
void remplissage_ecran(void)
{
  int px;
  int py;
  int couleur;

  px=0;										/* POSITION X PREMIERE LIGNE */
  py=0;										/* POSITION Y PREMIERE LIGNE */
  for (couleur=0; couleur<256; couleur++)	/* BOUCLE D'AFFICHAGE DES LIGNES */
  {
	 v_line (px, py, 200, couleur);			/* TRACE D'UNE LIGNE DE COULEUR */
	 px++;									/* CALCUL POSITION LIGNE SUIVANTE */
  }
}


/***********************/
/* FONCTION PRINCIPALE */
/***********************/
void main(void)
{
  init_vga();			/* INITIALISATION MODE GRAPHIQUE */
  getch();				/* ATTENTE CLAVIER */
  remplissage_ecran();	/* DEMONSTRATION GRAPHIQUE */
  getch();				/* ATTENTE CLAVIER */
  fermeture_vga();		/* FIN DU MODE GRAPHIQUE */
}
