/******************************************/
/*                                        */
/*        UTILISATION DE LA SOURIS        */
/*                                        */
/******************************************/
/*  Programme SOURIS1.C                   */
/******************************************/
/*  Auteur: Patrick Leclercq              */
/******************************************/ 
#include <stdio.h> 
#include <graphvga.h>
#include <souris.h>


void main()
{ 
  int xm;
  int ym;
  int clic;
        
  init_vga();							/* PASSAGE EN MODE GRAPHIQUE VGA */
  
  init_souris();						/* INITIALISATION DE LA SOURIS */
  
  do {
       clic=clic_souris();     			/* LECTURE ETAT DES BOUTONS */
       if (clic==CLIC_GAUCHE)			/* TEST SI PRESSION BOUTON GAUCHE */
       {       
         xm=x_souris();					/* LECTURE POSITION X */
         ym=y_souris();					/* LECTURE POSITION Y */
         printf ("X souris: %d\n", xm);	/* AFFICHAGE PX */
         printf ("Y souris: %d\n", ym);	/* AFFICHAGE PY */
         printf ("\n");					/* AFFICHAGE LIGNE VIDE */
       }
       if (clic==CLIC_DROIT) break;		/* TEST SI PRESSION BOUTON DROIT */
     } while(1);

  fermeture_vga();						/* DESACTIVATION DU MODE VGA */
}
