/******************************************/
/*                                        */
/*        UTILISATION DE LA SOURIS        */
/*     - Attente clic dans une zone -     */
/*                                        */
/******************************************/
/*  Programme SOURIS6.C                   */
/******************************************/
/*  Auteur: Patrick Leclercq              */
/******************************************/ 
#include <stdio.h> 
#include <string.h>
#include <graphvga.h>
#include <souris.h>
#include <texte.h>


void main()
{
  int px, py, tx, ty;
         
  init_vga();										/* PASSAGE EN MODE GRAPHIQUE VGA */
  init_souris();									/* INITIALISATION DE LA SOURIS */
  charger_caracteres("police.car");					/* CHARGEMENT CARACTERES */
               
  px=50;
  py=80;
  tx=30;
  ty=16;
  
  eff_souris();										/* EFFACEMENT SOURIS */
  cls_ecran(4);										/* AFFICHAGE COULEUR DE FOND */
  aff_texte_rectangle(px, py, tx, ty, "OK", 7);		/* AFFICHAGE TEXTE */
  
  aff_souris();										/* AFFICHAGE SOURIS */
  attente_clic_zone(px, py, tx, ty);				/* ATTENTE CLIC SUR RECTANGLE */
                
  fermeture_vga();									/* DESACTIVATION DU MODE VGA */
}
