/******************************************/
/*                                        */
/*        UTILISATION DE LA SOURIS        */
/*     - Dplacement de la souris -       */
/*                                        */
/******************************************/
/*  Programme SOURIS7.C                   */
/******************************************/
/*  Auteur: Patrick Leclercq              */
/******************************************/ 
#include <stdio.h>
#include <graphvga.h>
#include <souris.h>


void demo_move_souris(void)
{
  int km;

  do {
		 km=wait_clic();				/* ATTENTE CLIC SOURIS */

		 if (km==CLIC_GAUCHE)			/* TEST SI PRESSION SUR BOUTON GAUCHE */
		 {
			eff_souris();				/* EFFACEMENT SOURIS */
			move_souris(160, 100);		/* DEPLACEMENT SOURIS AU MILIEU DE L'ECRAN */
			aff_souris();				/* AFFICHAGE SOURIS */
		 }

		 if (km==CLIC_DROIT)			/* TEST SI PRESSION SUR BOUTON DROIT */
			break;
	  } while (1);
}


void main(void)
{
  init_vga();						/* PASSAGE EN MODE GRAPHIQUE VGA */
  init_souris();					/* INITIALISATION DE LA SOURIS */

  demo_move_souris();				/* DEMONSTRATION move_souris() */

  fermeture_vga();					/* DESACTIVATION DU MODE VGA */
}
