/***************************/
/*  Programme LOADJEU3.C   */
/***************************/
#include <stdio.h>


#define MAX_OBJETS	20


int	liste_objet[MAX_OBJETS];
int	num_lieu;


/******************************/
/* AFFICHAGE DES INFOS DU JEU */
/******************************/
void affichage_jeu(void)
{
  int	objet;

  printf ("Numero lieu: %d\n", num_lieu);	/* AFFICHAGE NUMERO LIEU */
  for (objet=0; objet<MAX_OBJETS; objet++)	/* BOUCLE AFFICHAGE OBJET */
	 if (liste_objet[objet]==1)				/* TEST SI PRESENCE OBJET */
		printf ("Objet %d\n", objet);			/* AFFICHAGE NUMERO OBJET */
}


/*********************/
/* CHARGEMENT DU JEU */
/*********************/
void charger_jeu(char *nom_partie)
{
  FILE	*fic;
  int	objet;

  for (objet=0; objet<MAX_OBJETS; objet++)		/* BOUCLE D'INITIALISATION OBJETS */
	 liste_objet[objet]=0;						/* INITIALISATION OBJET */

  fic=fopen(nom_partie, "rb");					/* OUVERTURE FICHIER */

  fread(&num_lieu, sizeof(num_lieu), 1, fic);	/* CHARGEMENT VARIABLE "INT" */

  do {
		 objet=fgetc (fic);						/* CHARGEMENT NUMERO OBJET */
		 if (objet==EOF) break;					/* TEST SI FIN DE FICHIER */
		 liste_objet[objet]=1;					/* MEMORISATION OBJET EN MEMOIRE */
	  } while (1);

  fclose (fic);									/* FERMETURE FICHIER */
}


void main(void)
{
  charger_jeu("jeu3.sav");					/* CHARGEMENT DU FICHIER */
  affichage_jeu();							/* AFFICHAGE DES INFOS */
  getchar();								/* ATTENTE CLAVIER */
}
