/***************************/
/*  Programme LOADJEU4.C   */
/***************************/
#include <stdio.h>


#define MAX_OBJETS	20


int	liste_objet[MAX_OBJETS];
int	num_lieu;


/******************************/
/* AFFICHAGE DES INFOS DU JEU */
/******************************/
void affichage_jeu(void)
{
  int	objet;

  printf ("Numero lieu: %d\n", num_lieu);	/* AFFICHAGE NUMERO LIEU */

  for (objet=0; objet<MAX_OBJETS; objet++)	/* BOUCLE AFFICHAGE OBJET */
	 if (liste_objet[objet]==1)				/* TEST SI PRESENCE OBJET */
		printf ("Objet %d\n", objet);			/* AFFICHAGE NUMERO OBJET */
}


/*********************/
/* CHARGEMENT DU JEU */
/*********************/
void charger_jeu(char *nom_partie)
{
  FILE	*fic;

  fic=fopen(nom_partie, "rb");						/* OUVERTURE FICHIER EN LECTURE */
  fread(&num_lieu, sizeof(num_lieu), 1, fic);		/* CHARGEMENT NUMERO LIEU */
  fread(liste_objet, sizeof(liste_objet), 1, fic);	/* CHARGEMENT TABLEAU OBJET */
  fclose (fic);										/* FERMETURE FICHIER */
}


void main(void)
{
  charger_jeu("jeu4.sav");					/* CHARGEMENT DU FICHIER */
  affichage_jeu();							/* AFFICHAGE DES INFOS */
  getchar();								/* ATTENTE CLAVIER */
}
