/****************************************************/
/*                                                  */
/*  CREATION D'UNE POLICE DE CARACTERES GRAPHIQUES  */
/*                                                  */
/****************************************************/
/* Programme GENTEXTE.C                             */
/****************************************************/
/* Auteur: Patrick Leclercq                         */
/****************************************************/
#include <stdio.h>
#include <conio.h>
#include <dos.h>
#include <graphvga.h>
#include <texte.h>

#define TX_CARACTERE		8
#define TY_CARACTERE		8

int couleur_texte;
int couleur_fond;
char nom[30];


/*************************************/
/* MODIFICATION DES COULEURS DE FOND */
/* ET DE FORME DES CARACTERES        */
/*************************************/
void translation_couleurs (int px, int py, int tx, int ty)
{
  int x;
  int y;
  int c;

  for (y=py; y<py+ty; y++)						/* BOUCLE AXE Y */
	 for (x=px; x<px+tx; x++)					/* BOUCLE AXE X */
	 {
		c =get_pixel(x,y);						/* LECTURE COULEUR PIXEL */
		if (c==0) put_pixel(x,y,couleur_fond);	/* MODIF COULEUR DE FOND */
			  else put_pixel(x,y,couleur_texte);	/* MODIF COULEUR CARACTERE */
	 }
}


/*************************/
/* DESSIN DES CARACTERES */
/*************************/
void dessin_caracteres(void)
{
  int n;

  for (n=32; n<256; n++)					/* BOUCLE DE DESSIN */
  {
	 gotoxy(1,1);							/* POSITIONNEMENT CURSEUR TEXTE */
	 putchar (n);							 /* AFFICHAGE CARACTERE */
	 translation_couleurs(0,0,TX_CARACTERE,TY_CARACTERE);	/* MODIF COULEURS */
	 get_image(0,0,TX_CARACTERE,TY_CARACTERE,image_caractere[n]);	/* STOCKAGE IMAGE */
  }
}


void main (void)
{
  puts ("Couleur du texte: ");
  scanf ("%d", &couleur_texte);

  puts("Couleur de fond: ");
  scanf ("%d", &couleur_fond);

  puts ("Nom du fichier: ");
  scanf ("%s", nom);

  init_vga();						/* INIT MODE GRAPHIQUE VGA */
  dessin_caracteres();				/* GENERATION DES CARACTERES */
  sauver_caracteres(nom);			/* SAUVEGARDE CARACTERES SUR DISQUE */
  puts ("GENERATION POLICE OK");	/* AFFICHAGE MESSAGE */
  getch();							/* ATTENTE CLAVIER */
  fermeture_vga();					/* FIN DU MODE GRAPHIQUE VGA */
}

