/***************************/
/*  AFFICHAGE DES BRIQUES  */
/***************************/
#include <stdio.h>
#include <conio.h>
#include <graphvga.h>


#define FOND_ECRAN				1

#define MAX_LIGNES_BRIQUES		5
#define MAX_COLONNES_BRIQUES	15


int tableau_briques[MAX_LIGNES_BRIQUES][MAX_COLONNES_BRIQUES];


void init_briques(void)
{
  int ligne;
  int colonne;

  for (ligne=0; ligne<MAX_LIGNES_BRIQUES; ligne++)
	 for (colonne=0; colonne<MAX_COLONNES_BRIQUES; colonne++)
		tableau_briques[ligne][colonne]=2;
}


void effacement_brique(int ligne, int colonne)
{
  int px;
  int py;

  px=10+colonne*20;							/* CALCUL POSITION X */
  py=8+ligne*10;							/* CALCUL POSITION Y */
  rectangle(px, py, 15, 8, FOND_ECRAN);		/* AFFICHAGE BRIQUE */
  tableau_briques[ligne][colonne]=-1;		/* MEMORISATION EFFACEMENT BRIQUE */
}


void affichage_brique(int ligne, int colonne)
{
  int px;
  int py;
  int brique;

  px=10+colonne*20;							/* CALCUL POSITION X */
  py=8+ligne*10;							/* CALCUL POSITION Y */
  brique=tableau_briques[ligne][colonne];	/* LECTURE COULEUR BRIQUE */

  rectangle(px, py, 15, 8, brique);			/* AFFICHAGE BRIQUE */
}


void tracer_mur(void)
{
  int ligne;
  int colonne;

  for (ligne=0; ligne<MAX_LIGNES_BRIQUES; ligne++)
	 for (colonne=0; colonne<MAX_COLONNES_BRIQUES; colonne++)
		affichage_brique(ligne, colonne);
}


void main(void)
{
  init_vga();

  init_briques();

  cls_ecran(FOND_ECRAN);
  tracer_mur();
  getch();
  effacement_brique(3, 5);
  getch();
  
  fermeture_vga();
}

