/***********************************************/
/*                                             */
/*    STOCKAGE D'UNE IMAGE DANS LA MEMOIRE     */
/*                                             */
/***********************************************/
/*  Programme GETIMAGE.C                       */
/***********************************************/
/*  Auteur: Patrick Leclercq                   */
/***********************************************/
#include <stdio.h>
#include <conio.h>
#include <graphvga.h>


byte tableau_image[30000];		/* ZONE DE MEMOIRE POUR L'IMAGE */


/*******************************/
/* REMPLISSAGE DE L'ECRAN      */
/* AVEC DES BARRES DE COULEURS */
/*******************************/
void remplissage_ecran(void)
{
  int px;
  int py;
  int couleur;

  px=0;										/* POSITION X PREMIERE LIGNE */
  py=0;										/* POSITION Y PREMIERE LIGNE */
  for (couleur=0; couleur<200; couleur++)	/* BOUCLE D'AFFICHAGE DES LIGNES */
  {
	 h_line (px, py, 320, couleur);			/* TRACE D'UNE LIGNE DE COULEUR */
	 py++;									/* CALCUL POSITION LIGNE SUIVANTE */
  }
}


/***************************/
/* DEMONSTRATION GRAPHIQUE */
/***************************/
void demo_graph(void)
{
  int px, py;
  int tx, ty;

  px=20;									/* PX IMAGE */
  py=20;									/* PY IMAGE */
  tx=200;									/* LONGUEUR IMAGE */
  ty=80;									/* HAUTEUR IMAGE */

  remplissage_ecran();						/* DESSIN IMAGE DE FOND */
  getch();									/* ATTENTE CLAVIER */

  get_image(px, py, tx, ty, tableau_image);	/* STOCKAGE IMAGE EN MEMOIRE */
  cls_ecran(3);								/* EFFACEMENT ECRAN */
  getch();									/* ATTENTE CLAVIER */

  put_image(px, py, tableau_image);			/* AFFICHAGE IMAGE */
  getch();									/* ATTENTE CLAVIER */
}


/***********************/
/* FONCTION PRINCIPALE */
/***********************/
void main(void)
{
  init_vga();		/* INITIALISATION MODE GRAPHIQUE */
  demo_graph();		/* DEMONSTRATION GRAPHIQUE */
  fermeture_vga();	/* FIN DU MODE GRAPHIQUE */
}
