/********************************************/
/*                                          */
/*  EXEMPLE D'UTILISATION DE SAISIE_CHAINE  */
/*                                          */
/********************************************/
/*  Programme TEST1.C                       */
/********************************************/
/*  Auteur: Patrick Leclercq                */
/********************************************/

#include <stdio.h>
#include <conio.h>


/*************************************/
/* SAISIE D'UNE CHAINE DE CARACTERES */
/*************************************/
int saisie_chaine(char *s)
{
  int n;
  int c;

  n=0;

  do {
		 c=getch();				/* LECTURE TOUCHE */

		 if (c==13) break;		/* TEST SI TOUCHE [Entre] */

		 if (c!=8)				/* MEMORISATION CARACTERE */
		 {
			n++;					/* INCREMENTATION NB DE CARACTERES */
			*s=c;					/* ECRITURE CARACTERE EN MEMOIRE */
			s++;					/* PASSAGE ADRESSE CARACTERE SUIVANT */
			putchar(c);			/* AFFICHAGE CARACTERE SUR ECRAN */
		 }

		 if ((c==8) && (n!=0))	/* EFFACEMENT DU DERNIER CARACTERE */
		 {
			n--;					/* DECREMENTATION NB DE CARACTERES */
			s--;					/* DECREMENTATION ADRESSE COURANTE */
			putchar(8);			/* RETOUR D'UN CARACTERE EN ARRIERE */
			putchar(' ');			/* AFFICHAGE ESPACE POUR EFFACER CARACTERE */
			putchar(8);			/* RETOUR D'UN CARACTERE EN ARRIERE */
		 }

	  } while(1);
  *s=0;							/* FABRICATION CODE DE FIN DE CHAINE */
  puts("");						/* PASSAGE A LA LIGNE SUIVANTE */
  return (n);					/* RETOUR TAILLE DE LA CHAINE */
}


void main(void)
{
  char ligne[100];
  int n;

  n=saisie_chaine(ligne);
  printf ("Taille texte: %d\n", n);
  puts(ligne);
  getch();
}
