/******************************************/
/*                                        */
/*        UTILISATION DE LA SOURIS        */
/*     - Utilisation de wait_clic() -     */
/*                                        */
/******************************************/
/*  Programme SOURIS4.C                   */
/******************************************/
/*  Auteur: Patrick Leclercq              */
/******************************************/ 
#include <stdio.h> 
#include <graphvga.h>
#include <souris.h>
#include <loadpcx.h>


void main()
{
  int km;
        
  init_vga();							/* PASSAGE EN MODE GRAPHIQUE VGA */
  
  init_souris();						/* INITIALISATION DE LA SOURIS */
  aff_souris(); 						/* AFFICHAGE CURSEUR SOURIS */
  
  do { 
       /* AFFICHAGE IMAGE 1 */
       eff_souris();					/* EFFACEMENT SOURIS */
       load_pcx("image1.pcx");			/* CHARGEMENT IMAGE */
       aff_souris();					/* AFFICHAGE SOURIS */
       km=wait_clic();					/* ATTENTE CLIC */
       if (km==CLIC_DROIT) break;		/* TEST SI FIN BOUCLE */
                           
       /* AFFICHAGE IMAGE 2 */
       eff_souris();                    /* EFFACEMENT SOURIS */
       load_pcx("image2.pcx");			/* CHARGEMENT IMAGE */
       aff_souris();					/* AFFICHAGE SOURIS */
       km=wait_clic();					/* ATTENTE CLIC */
       if (km==CLIC_DROIT) break;		/* TEST SI FIN BOUCLE */
       
       /* AFFICHAGE IMAGE 3 */
       eff_souris();					/* EFFACEMENT SOURIS */
       load_pcx("image3.pcx");			/* CHARGEMENT IMAGE */
       aff_souris();					/* AFFICHAGE SOURIS */
       km=wait_clic();					/* ATTENTE CLIC */
       if (km==CLIC_DROIT) break;		/* TEST SI FIN BOUCLE */
       
      } while (1);

     
  eff_souris();							/* EFFACEMENT CURSEUR SOURIS */
  fermeture_vga();						/* DESACTIVATION DU MODE VGA */
}
