/******************************************/
/*                                        */
/*        UTILISATION DE LA SOURIS        */
/*   - Dtection clic dans une zone -     */
/*                                        */
/******************************************/
/*  Programme SOURIS5.C                   */
/******************************************/
/*  Auteur: Patrick Leclercq              */
/******************************************/ 
#include <stdio.h> 
#include <graphvga.h>
#include <souris.h>
#include <loadpcx.h>


void detection_clic(void)
{      
  int xm;
  int ym;
  int km;
  int couleur;
              
  couleur=2;
  cls_ecran(1);
  rectangle (20, 20, 10, 10, 2);					/* AFFICHAGE ZONE DE FIN */
  rectangle (100, 100, 60, 20, couleur);    		/* AFFICHAGE ZONE DE COULEUR */
  aff_souris();										/* AFFICHAGE SOURIS */
  
  do {
       att_clic(&xm, &ym, &km);						/* ATTENTE CLIC SOURIS */
       
       if (tst_zone(xm, ym, 20, 20, 10, 10)==1)		/* TEST SI CLIC ZONE DE FIN */
          break;       
                                          
       if (tst_zone(xm, ym, 100, 100, 60, 20)==1)	/* TEST SI CLIC ZONE DE COULEUR */
       {
         couleur++;									/* CALCUL NOUVELLE COULEUR */
         eff_souris();								/* EFFACEMENT SOURIS */
         rectangle (100, 100, 60, 20, couleur);		/* AFFICHAGE NOUVELLE COULEUR */
         aff_souris();								/* AFFICHAGE SOURIS */
       }
     } while (1);
     
  eff_souris();
}


void main()
{       
  init_vga();			/* PASSAGE EN MODE GRAPHIQUE VGA */
  init_souris();		/* INITIALISATION DE LA SOURIS */
  eff_souris();
  detection_clic();		/* APPEL ROUTINE DE DEMO */
  fermeture_vga();		/* DESACTIVATION DU MODE VGA */
}
