/***************************/
/*  Programme LOADJEU1.C   */
/***************************/
#include <stdio.h>


#define MAX_OBJETS	20


int	liste_objet[MAX_OBJETS];
int	num_lieu;


/******************************/
/* AFFICHAGE DES INFOS DU JEU */
/******************************/
void affichage_jeu(void)
{
  int	objet;

  printf ("Numero lieu: %d\n", num_lieu);	/* AFFICHAGE NUMERO LIEU */

  for (objet=0; objet<MAX_OBJETS; objet++)	/* BOUCLE AFFICHAGE OBJET */
	 if (liste_objet[objet]==1)				/* TEST SI PRESENCE OBJET */
		printf ("Objet %d\n", objet);			/* AFFICHAGE NUMERO OBJET */
}


/*********************/
/* CHARGEMENT DU JEU */
/*********************/
void charger_jeu(char *nom_partie)
{
  FILE	*fic;
  int	n;

  fic=fopen(nom_partie, "rb");				/* OUVERTURE FICHIER EN LECTURE */
  num_lieu=fgetc (fic);						/* CHARGEMENT NUMERO DU LIEU */

  for (n=0; n<MAX_OBJETS; n++)				/* BOUCLE DE CHARGEMENT */
	 liste_objet[n]=fgetc(fic);				/* CHARGEMENT OBJET */

  fclose (fic);								/* FERMETURE FICHIER */
}


void main(void)
{
  charger_jeu("jeu1.sav");					/* CHARGEMENT DU FICHIER */
  affichage_jeu();							/* AFFICHAGE DES INFOS */
  getchar();								/* ATTENTE CLAVIER */
}
