/***************************/
/*  Programme SAVEJEU1.C   */
/***************************/
#include <stdio.h>


#define MAX_OBJETS	20


int	liste_objet[MAX_OBJETS];
int	num_lieu;


/********************************/
/*  INITIALISATION DES DONNEES  */
/********************************/
void init_jeu(void)
{
  int	n;

  num_lieu=39;

  /* INITIALISATION DE LA LISTE DES OBJETS */
  for (n=0; n<MAX_OBJETS; n++)
	 liste_objet[n]=0;

  /* INITIALISATION DES OBJETS DU JOUEUR */
  liste_objet[3]=1;
  liste_objet[7]=1;
  liste_objet[9]=1;
  liste_objet[13]=1;
  liste_objet[17]=1;
}


/********************/
/*  SAUVEGARDE JEU  */
/********************/
void sauver_jeu(char *nom_partie)
{
  FILE	*fic;
  int	n;

  fic=fopen(nom_partie, "wb");		/* OUVERTURE FICHIER */
  fputc (num_lieu, fic);			/* ECRITURE NUMERO DU LIEU */
  for (n=0; n<MAX_OBJETS; n++)		/* BOUCLE DES OBJETS */
	 fputc(liste_objet[n], fic);		/* SAUVEGARDE OBJET */
  fclose (fic);						/* FERMETURE OBJET */
}


void main(void)
{
  init_jeu();
  sauver_jeu("jeu1.sav");
}
